<?php get_header(); ?>
    <?php
	if($data['blog_archive_sidebar'] == 'None') {
		$content_css = 'width:100%';
		$sidebar_css = 'display:none';
		$content_class= 'full-width';
	} elseif($data['blog_sidebar_position'] == 'Left') {
		$content_css = 'float:right;';
		$sidebar_css = 'float:left;';
	} elseif($data['blog_sidebar_position'] == 'Right') {
		$content_css = 'float:left;';
		$sidebar_css = 'float:right;';
	}

	$container_class = '';
	$post_class = '';
	if($data['blog_archive_layout'] == 'Large Alternate') {
		$post_class = 'large-alternate';
	} elseif($data['blog_archive_layout'] == 'Medium Alternate') {
		$post_class = 'medium-alternate';
	} elseif($data['blog_archive_layout'] == 'Grid') {
		$post_class = 'grid-post';
		if($data['blog_grid_columns'] == '4') {
			$container_class = 'grid-layout grid-full-layout-4';
		} elseif($data['blog_grid_columns'] == '3') {
			$container_class = 'grid-layout grid-full-layout-3';
		} else {
			$container_class = 'grid-layout';
		}
	} elseif($data['blog_archive_layout'] == 'Timeline') {
		$post_class = 'timeline-post';
		$container_class = 'timeline-layout';
		if($data['blog_archive_sidebar'] != 'None') {
			$container_class = 'timeline-layout timeline-sidebar-layout';
		}
	}
	?>
	<div id="content" class="<?php echo $content_class; ?>" style="<?php echo $content_css; ?>">
            <div id="posts-container" class="<?php echo $container_class; ?> clearfix">

                <?php sap_template_part('index', 'terms'); ?>

            </div>
        </div>

        <?php wp_reset_query(); ?>
	<div id="sidebar" style="<?php echo $sidebar_css; ?>">
	<?php echo $data['blog_archive_sidebar'];
	if ($data['blog_archive_sidebar'] != 'None' && function_exists('dynamic_sidebar')) {
		generated_dynamic_sidebar($data['blog_archive_sidebar']);
	}
	?>
	</div>

<?php get_footer(); ?>